View Issue Details

IDProjectCategoryLast Update
0021619AI War 2[All Projects] Graphical BugSep 24, 2019 12:44 pm
ReporterAsteroidAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.890 Lighting and Darkness 
Fixed in Version0.892 All Ship and Structure Visuals Done! 
Summary0021619: Very pixelated planet texture when zooming in
DescriptionNo idea if it's actually a bug or an optimization tradeoff, but planet textures look pretty awful when you zoom in to have a look at your ships. A pity since in the first game they actually looked crisp (I know, different tech).
TagsNo tags attached.

Activities

Asteroid

Sep 12, 2019 1:46 am

reporter  

2019-09-12 01_43_19-AIWar2.png (2,181,847 bytes)

x4000Bughunter

Sep 12, 2019 9:29 am

administrator   ~0053016

Hmm, I don't remember them doing that around a year ago. I'm thinking that there's either a shader thing going on here, or possibly the normals on the actual mesh object are not smoothing properly. It looks like maybe the texture is fine, but actually what you're seeing is un-smoothed faceted faces without proper normals blending for some reason on the 3d model. I'll have to look into it when I get a chance.

x4000Bughunter

Sep 16, 2019 5:01 pm

administrator   ~0053154

Last edited: Sep 16, 2019 5:02 pm

View 2 revisions

For 0.890:

* All of the planets have been subtly tweaked in their visuals.
** Their atmospheres no longer have such a sharp glow that can be distracting anymore.
** The rings and main bodies of the planets no longer react to ambient light (which was previously zero anyhow), but do now have a bit of ambient grayness applied to them that makes their shadows less harsh in general.
** Jungle5 has more attractive colors on it, now.
** Several have atmosphere glow diffusions that are more sensible and attenuate properly over the body of the planet now.
** The normals and the tangents are recalculated fresh for the planets, making any sort of artifacting based on the underlying 3D models no longer a thing.
*** However, they were apparently already pretty smooth, so there's not much visually different from this bit. If you zoom in a lot on the planets, you see some lack of details mainly due to the fact that we've downsampled the textures to be 1k in size instead of 4k, thus saving literally hundreds of megs of RAM and VRAM.
**** The eventual solution to this would be to make the planets shrink down a bit as you zoom in, so that at full zoom the planets become about half their current size; the visuals of them would remain nice and crisp were we to do that.

Asteroid

Sep 21, 2019 8:38 pm

reporter   ~0053241

Still an issue in 0.890, I don't think the texture being 1k explains the very large squares I'm seeing. Updated my graphics drivers just in case, but no go.
I'm on Windows 7 x64 with a GTX 1070. Running the game with DirectX.

Attached a save where you can just zoom on planet currently selected on the galaxy map to see the issue.

2019-09-21 20_27_37-blockytexture-AIWar2.png (2,427,804 bytes)
008.save (878,851 bytes)

Asteroid

Sep 21, 2019 8:40 pm

reporter   ~0053242

Also tested in OpenGL, the result is the same.

x4000Bughunter

Sep 23, 2019 5:12 pm

administrator   ~0053254

Yeah, these are older shaders by Nova Shade and Forge3D. I'm updating those assets and then updating the shaders even further, and in general it's going to look a lot better from that. It's a big undertaking, but worth it prior to the new trailer footage.

x4000Bughunter

Sep 24, 2019 12:42 pm

administrator   ~0053259

Thanks!

* The planets packages from both Nova Shade and Forge3D have both been updated to more recent versions, fixing various shader issues.
** We're also using a higher-quality set of textures with these planets, so that things remain looking more crisp and HD when you zoom in. This does use more RAM in general, and slows initial loading slightly, but doens't put much extra load on the GPU realy, and has a pretty high impact on visual fidelity when you're zoomed in in particular.
** We've also updated these shaders some ourselves to do things like stop ambient light from messing with them, and to turn off the specular highlights that looked super duper unrealistic.
*** So on top of things being updated in general, there's now a whole new level of quality to the shaders, the textures, and so on. Zoom in to your heart's content!
** There's also a new ice planet in addition to the snow planets, in place of one of the many ocean planets that was getting a bit repetitive.

x4000Bughunter

Sep 24, 2019 12:44 pm

administrator   ~0053260

* This does change the planet data from being 70mb on disk to being 680mb instead. Whew!

Issue History

Date Modified Username Field Change
Sep 12, 2019 1:46 am Asteroid New Issue
Sep 12, 2019 1:46 am Asteroid File Added: 2019-09-12 01_43_19-AIWar2.png
Sep 12, 2019 9:29 am x4000Bughunter Note Added: 0053016
Sep 16, 2019 5:01 pm x4000Bughunter Note Added: 0053154
Sep 16, 2019 5:02 pm x4000Bughunter Note Edited: 0053154 View Revisions
Sep 21, 2019 8:33 pm Asteroid Product Version 0.888 Astro Examination => 0.890 Lighting and Darkness
Sep 21, 2019 8:38 pm Asteroid File Added: 2019-09-21 20_27_37-blockytexture-AIWar2.png
Sep 21, 2019 8:38 pm Asteroid File Added: 008.save
Sep 21, 2019 8:38 pm Asteroid Note Added: 0053241
Sep 21, 2019 8:40 pm Asteroid Note Added: 0053242
Sep 23, 2019 5:12 pm x4000Bughunter Note Added: 0053254
Sep 23, 2019 5:12 pm x4000Bughunter Assigned To => x4000Bughunter
Sep 23, 2019 5:12 pm x4000Bughunter Status new => assigned
Sep 24, 2019 12:42 pm x4000Bughunter Status assigned => resolved
Sep 24, 2019 12:42 pm x4000Bughunter Resolution open => fixed
Sep 24, 2019 12:42 pm x4000Bughunter Fixed in Version => 0.892 All Ship and Structure Visuals Done!
Sep 24, 2019 12:42 pm x4000Bughunter Note Added: 0053259
Sep 24, 2019 12:44 pm x4000Bughunter Note Added: 0053260